# $Revision: 1.12 $, $Date: 2001/11/12 22:54:52 $
Summary:	GLASS - openGL Articulated Structure System
Summary(pl):	GLASS - Biblioteka obsugi struktur 3D OpenGL
Name:		glass
Version:	1.1.3
Release:	1
License:	GPL
Group:		X11/Libraries
Group(de):	X11/Libraries
Group(es):	X11/Bibliotecas
Group(fr):	X11/Librairies
Group(pl):	X11/Biblioteki
Group(pt_BR):	X11/Bibliotecas
Group(ru):	X11/
Group(uk):	X11/̦
Vendor:		Robert Cleaver Ancell <bob27@users.sourceforge.net>
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-version.patch
Patch1:		%{name}-examples-CFLAGS_for_glut.patch
Patch2:		%{name}-LIBS.patch
BuildRequires:	OpenGL-devel
Requires:	OpenGL
URL:		http://glass.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
GLASS is a 3D library, designed to make easy use of structured models
(models, that are made up of components linked by basic transforms,for
example, rotations and translations) in open GL applications. By using
GLASS in an application, these models can be loaded, modified, and
displayed using a minimum of function calls.

%description -l pl
GLASS to biblioteka wspomagajca projektowanie aplikacji 3D, stworzona
aby uproci uycie modelu strukturalnego (modele, ktre skadaj si
z poczonych prostymi transformacjami czci, np. obrotw lub
przesuni) w aplikacjach 3D OpenGL. GLASS pozwala zaadowa,
zmodyfikowa i wywietla te obiekty przy uyciu minimalnej iloci
wywoa (co upraszcza kod).

%package devel
Summary:	GLASS development package
Summary(pl):	Pakiet dla programistw GLASS
Group:		Development/Building
Group(de):	Entwicklung/Bauen
Group(pl):	Programowanie/Budowanie
Requires:	%{name} = %{version}

%description devel
GLASS header files. Contains also tutorial and specifications.

%description devel -l pl
Pliki nagwkowe biblioteki GLASS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} all \
	CFLAGS="%{rpmcflags} -fPIC -I%{_includedir} -DVERSION_STRING=\"\\\"%{version}\"\\\"" \
	LIBS="-L%{_libdir} -lGL" \
	CC=%{__cc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir},%{_libdir},%{_examplesdir}/%{name}}

install src/glass.h src/glass_types.h $RPM_BUILD_ROOT%{_includedir}
install libglass.so* $RPM_BUILD_ROOT%{_libdir}

ln -s libglass.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libglass.so
cp -ar examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}

gzip -9nf README TODO ChangeLog

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.gz TODO.gz
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc docs/* ChangeLog.gz
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*
%{_examplesdir}/%{name}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team 
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: glass.spec,v $
Revision 1.12  2001/11/12 22:54:52  kloczek
- adaptrerized.

Revision 1.11  2001/11/12 22:49:25  kloczek
- fixed installing examples,
- Group changed to X11/Libraries (and prefix to /usr/X116),
- added BuildRequires rules,
- added LIBS patch for correct linking glass library with libGL.

Revision 1.10  2001/11/12 22:32:24  kloczek
- removed dumb %doc macro.

Revision 1.9  2001/11/12 22:27:17  kloczek
- added -fPIC to CFALGS (object for shared objects must be compiled wit this).

Revision 1.8  2001/11/12 22:23:52  kloczek
- merged exampels subpackage with devel,
- add passing $RPM_OPT_FLAGS to CFLAGS and %%{__cc} to CC,
- adde -I/usr/X11R6/include to CFALAGS,
- few simplifications.

Revision 1.7  2001/11/12 21:06:09  fastviper
- add fixes for -examples package (use proper path to glut headers)

Revision 1.6  2001/11/12 20:52:13  fastviper
- added -example package
- added specifications and helpful tutorial do -devel package
- added symlinks in main package
- moved libs from -devel -- main package would provide no files ;-)

Revision 1.5  2001/11/09 13:06:22  qboosh
- changed Source URL to ftp

Revision 1.4  2001/11/09 13:04:11  qboosh
- separated -devel, fixed post/postun, FHS (includedir), gzip doc

Revision 1.3  2001/11/09 12:38:37  fastviper
- used adapter.awk
- added polish summary

Revision 1.2  2001/11/09 12:26:22  fastviper
- Added polish package description
- Moved libs do /usr/lib

Revision 1.1  2001/11/09 11:52:20  fastviper
- spec created
